﻿using System.Windows;
using Infragistics.Windows.DataPresenter;

namespace Test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new LibraryBusinessLogic();
            
        }

        private void xamDataGrid1_SelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
        {
            if (xamDataGrid1.ActiveRecord.IsExpanded == true)
            {
                xamDataGrid1.ActiveRecord.IsExpanded = false;
            }
            else
            {
                xamDataGrid1.ActiveRecord.IsExpanded = true;
            }
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //Here you can use ActiveRecord or SelectedItems.Records[0] as well.
            var b = ((xamDataGrid1.ActiveRecord as DataRecord).DataItem as Category);
            b.AddBook("0399152970", "S is for Silence", "Sue Grafton");
            b.AddBook("015601131X", "A Darkening Stain", "Robert Wilson");
            b.AddBook("0446696269", "Honeymoon", "James Patterson");
            b.AddBook("0140231706", "Berlin Noir", "Philip Kerr");
        }

        
    }
}
